<template>
    <div id="BestMovie" class="component">
        <h1>{{ title }}</h1>
        <div>
            <input type="submit" value="Best Movie" v-on:click="getBestMovie" />
        </div>
        <pre><code>{{bestMovie}}</code></pre>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'BestMovie',
        data () {
            return {
                title: 'Le meilleur film est ...',
                bestMovie: ''
            }
        },
        methods: {
            getBestMovie: function() {
                axios
                    .get('http://127.0.0.1:8000/api/bestMovie')
                    .then(response => (this.bestMovie = response.data),
                        (error) => (this.bestMovie = error.response.data))
            }
        }
    }
</script>